GNU bug report logs - #40276
[PATCH] doc: Update instructions to bootstrap the trust chain.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Jacob First <jacob.k.first@HIDDEN>; Keywords: patch; dated Sun, 29 Mar 2020 17:11:02 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.
bug reassigned from package 'debbugs.gnu.org' to 'guix-patches'. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 29 Mar 2020 17:10:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 29 13:10:30 2020
Received: from localhost ([127.0.0.1]:59638 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jIbSA-0007e7-G0
	for submit <at> debbugs.gnu.org; Sun, 29 Mar 2020 13:10:30 -0400
Received: from lists.gnu.org ([209.51.188.17]:60964)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jacob.k.first@HIDDEN>) id 1jIX4C-0008Mg-QG
 for submit <at> debbugs.gnu.org; Sun, 29 Mar 2020 08:29:29 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:51165)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <jacob.k.first@HIDDEN>) id 1jIX4B-0000Z5-Ix
 for guix-patches@HIDDEN; Sun, 29 Mar 2020 08:29:28 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: **
X-Spam-Status: No, score=2.2 required=5.0 tests=BAYES_40,FREEMAIL_FROM,
 MALFORMED_FREEMAIL,MISSING_HEADERS,URIBL_BLOCKED autolearn=disabled
 version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <jacob.k.first@HIDDEN>) id 1jIX4A-0001rk-Bn
 for guix-patches@HIDDEN; Sun, 29 Mar 2020 08:29:27 -0400
Received: from mail-qv1-xf41.google.com ([2607:f8b0:4864:20::f41]:46041)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <jacob.k.first@HIDDEN>)
 id 1jIX4A-0001qr-67
 for guix-patches@HIDDEN; Sun, 29 Mar 2020 08:29:26 -0400
Received: by mail-qv1-xf41.google.com with SMTP id g4so7437154qvo.12
 for <guix-patches@HIDDEN>; Sun, 29 Mar 2020 05:29:25 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=message-id:from:date:subject;
 bh=qcM6gfjEYyw8L3o/OKfzneDtJS7M0KbcRz7yaZLBOwU=;
 b=DGGYm0nw5Ow1acKqlb7A28vtWqWh2IAMcSW7b+aYSq7fUpM2QkvQvCteo55VtxTnV+
 G+FyTbMtMH7vKD1F9h0urkdZ4TqZ6uJbmcajbJfu1OrD/v09PsZZy2JVqEGQCuiUElNd
 rtoTVwKNchMntfAjDAKMIuIYLo8zcmVZOUa9mTv1KddbMh8S6eNMJVmB2o56746bXO9X
 DyX9QX1fY0ExVESSPdOsgJj1sfjePeke9VQt+nSyI2f6S+FNMbGkX1pgDJdOdzoFP9rp
 /7ywt8lcRUHrJyDHTjqbOWgTSd1vZdEBUSRnazQRHajCdW7rNSCjj0MqutTvzCMQUCVb
 0iww==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:message-id:from:date:subject;
 bh=qcM6gfjEYyw8L3o/OKfzneDtJS7M0KbcRz7yaZLBOwU=;
 b=QD1SzYEMto6ilIG4nZI+wm2WzJMQ0w+uJf05mf/9W3g8e98iLXNv6M6NlekiyzElRN
 JRZ/oU6yO5XR4LxFOdHeaWw2bS0MQnoULa2rpEx2E5wv2QCSH7BhXDXDlE/bJOC4WG07
 sLLVXBcQl04/A5BgoNXfJxdDKUl4sgd0KX0F0aHzLETZVnI8BkBAsV5XTEnprQkdhjGZ
 e0aoHZr9IwbgkzXSje/3Q7lTJIZIgDBoKhD3h9fl29qeVXi/MNqchD20nPBS0SF6yHXe
 AZeIx1b/GeO3jvF50CquZFI/Ip+EDxYNGKGmp2Zc02eG//C2Zp0a8kkNfZmCtRJW1YjP
 y+LQ==
X-Gm-Message-State: ANhLgQ1btXm/t5jj/FJi2PJrhChGav8P5s1on6UanKgmFg6iAe1vTJeC
 kitFTwZ8485QgmRgsY6QNxVoKxFD
X-Google-Smtp-Source: ADFU+vtIeS5xYLPr/xwPmSODBlzMGScbZO1Z0wkV3zkAASuc8V49pEhlsSofQgGilZuU5QnOQqIWBQ==
X-Received: by 2002:a0c:a8d8:: with SMTP id h24mr7088481qvc.154.1585484964604; 
 Sun, 29 Mar 2020 05:29:24 -0700 (PDT)
Received: from [127.0.0.1] (205-201-19-136.starry-inc.net. [205.201.19.136])
 by smtp.gmail.com with ESMTPSA id q7sm8299138qti.58.2020.03.29.05.29.23
 for <guix-patches@HIDDEN>
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 29 Mar 2020 05:29:24 -0700 (PDT)
Message-ID: <5e8094a4.1c69fb81.d4af.044d@HIDDEN>
From: Jacob First <jacob.k.first@HIDDEN>
Date: Sun, 29 Mar 2020 08:21:22 -0400
Subject: [PATCH] doc: Update instructions to bootstrap the trust chain.
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2607:f8b0:4864:20::f41
X-Spam-Score: 4.6 (++++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  * doc/contributing.texi (Building from Git): Clarify that
 multiple committers' keys may now be used to sign changes to
 git-authenticate.scm.
 For context see <https://lists.gnu.org/archive/html/guix-de [...] 
 Content analysis details:   (4.6 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: gnu.org]
 1.2 MISSING_HEADERS        Missing To: header
 1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (jacob.k.first[at]gmail.com)
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
 low trust [209.51.188.17 listed in list.dnswl.org]
 1.1 MALFORMED_FREEMAIL     Bad headers on message from free email
 service 2.0 SPOOFED_FREEMAIL       No description available.
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Sun, 29 Mar 2020 13:10:28 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.6 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  * doc/contributing.texi (Building from Git): Clarify that
   multiple committers' keys may now be used to sign changes to git-authenticate.scm.
    For context see <https://lists.gnu.org/archive/html/guix-de [...] 
 
 Content analysis details:   (1.6 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
                             blocked.  See
                             http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
                              for more information.
                             [URIs: gnu.org]
  1.2 MISSING_HEADERS        Missing To: header
  1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (jacob.k.first[at]gmail.com)
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
                             low trust
                             [209.51.188.17 listed in list.dnswl.org]
  1.1 MALFORMED_FREEMAIL     Bad headers on message from free email
                             service
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

* doc/contributing.texi (Building from Git): Clarify that multiple committers'
keys may now be used to sign changes to git-authenticate.scm. For context see
<https://lists.gnu.org/archive/html/guix-devel/2020-03/msg00433.html>.
---
 doc/contributing.texi | 10 ++++++++--
 1 file changed, 8 insertions(+), 2 deletions(-)

diff --git a/doc/contributing.texi b/doc/contributing.texi
index 31b875f817..ed6c952ba0 100644
--- a/doc/contributing.texi
+++ b/doc/contributing.texi
@@ -64,8 +64,14 @@ gpg:                using RSA key 3CE464558A84FDC69DB40CFB090B11993D9AEBB5
 
 @noindent
 ... meaning that changes to this file are all signed with key
-@code{3CE464558A84FDC69DB40CFB090B11993D9AEBB5} (you may need to fetch
-this key from a key server, if you have not done it yet).
+@code{3CE464558A84FDC69DB40CFB090B11993D9AEBB5}. You may see other keys as well,
+as other contributors and/or maintainers may also commit to this
+file@footnote{For context about this change, see
+@url{https://lists.gnu.org/archive/html/guix-devel/2020-03/msg00433.html,
+this explanation} on the guix-devel mailing list.}. If you are missing any keys,
+fetch them from the respective committers'
+@url{https://savannah.gnu.org/project/memberlist.php?group=guix, Savannah
+profiles} and re-run the verification.
 
 From there on, you can authenticate all the commits included in your
 checkout by running:
-- 
2.26.0





Acknowledgement sent to Jacob First <jacob.k.first@HIDDEN>:
New bug report received and forwarded. Copy sent to help-debbugs@HIDDEN. Full text available.
Report forwarded to help-debbugs@HIDDEN:
bug#40276; Package debbugs.gnu.org. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 29 Mar 2020 17:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.